News / Final Fantasy XV

Final Fantasy XV Pocket Edition has some hefty required specs

Final Fantasy XV Pocket Edition has some hefty required specs

Written by Brayden — 08 Nov 2017

You can now pre-register for Final Fantasy XV Pocket Edition on the Google Play Store and its description has revealed some pretty hefty required specs for Android devices.

【Requirements】
・Android devices with Android 5.0 or later installed
・CPU:1.5GHz or greater
・RAM:2GB or greater
・Memory required: 5GB or greater (the high resolution version requires 8GB or greater)
※Some devices are not supported, even if the installed Android OS version is within the supported range

You can play pre-register for the Android version here.

The mobile adaptation of Final Fantasy XV's story is scheduled to launch on iOS, Android and Windows 10 devices this month. You can check out a new commercial below.